Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<CreatableItem(False)> _
<NavigationItem(False)> _
Public Class Immovables_ChangeGroup_PopUp
    Inherits BaseObject

    Private _IsChange_CanforSale As Boolean
    Private _CanforSale As Boolean 'Eladható
    Private _IsChange_CanForRent As Boolean
    Private _CanForRent As Boolean 'Bérelhető
    Private _IsChange_CustomersOwner As Boolean
    Private _CustomersOwner As Customers 'Tulajdonos.
    Private _IsChange_CustomersLessor As Boolean
    Private _CustomersLessor As Customers 'Bérbeadó
    Private _IsChange_ImmovableSoldState As Boolean
    Private _ImmovableSoldState As eImmovableSoldState 'Ingatlan eladható státusz
    Private _IsChange_ImmovablesRentState As Boolean
    Private _ImmovablesRentState As eImmovablesRentState 'Ingatlan bérelhető státusz

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property IsChange_CanforSale As Boolean
        Get
            Return _IsChange_CanforSale
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsChange_CanforSale", _IsChange_CanforSale, value)
        End Set
    End Property
    Property CanForSale As Boolean
        Get
            Return _CanforSale
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("CanForSale", _CanforSale, value)
        End Set
    End Property
    Property IsChange_CanForRent As Boolean
        Get
            Return _IsChange_CanForRent
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsChange_CanForRent", _IsChange_CanForRent, value)
        End Set
    End Property
    Property CanForRent As Boolean
        Get
            Return _CanForRent
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("CanForRent", _CanForRent, value)
        End Set
    End Property
    Property IsChange_CustomersOwner As Boolean
        Get
            Return _IsChange_CustomersOwner
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsChange_CustomersOwner", _IsChange_CustomersOwner, value)
        End Set
    End Property
    Property CustomersOwner() As Customers
        Get
            Return _CustomersOwner
        End Get
        Set(ByVal value As Customers)
            SetPropertyValue("CustomersOwner", _CustomersOwner, value)
        End Set
    End Property
    Property IsChange_CustomersLessor As Boolean
        Get
            Return _IsChange_CustomersLessor
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsChange_CustomersLessor", _IsChange_CustomersLessor, value)
        End Set
    End Property
    Property CustomersLessor() As Customers
        Get
            Return _CustomersLessor
        End Get
        Set(ByVal value As Customers)
            SetPropertyValue("CustomersLessor", _CustomersLessor, value)
        End Set
    End Property
    Property IsChange_ImmovableSoldState As Boolean
        Get
            Return _IsChange_ImmovableSoldState
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsChange_ImmovableSoldState", _IsChange_ImmovableSoldState, value)
        End Set
    End Property
    Property ImmovableSoldState As eImmovableSoldState
        Get
            Return _ImmovableSoldState
        End Get
        Set(value As eImmovableSoldState)
            SetPropertyValue("ImmovableSoldState", _ImmovableSoldState, value)
        End Set
    End Property
    Property IsChange_ImmovablesRentState As Boolean
        Get
            Return _IsChange_ImmovablesRentState
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsChange_ImmovablesRentState", _IsChange_ImmovablesRentState, value)
        End Set
    End Property
    Property ImmovablesRentState As eImmovablesRentState
        Get
            Return _ImmovablesRentState
        End Get
        Set(value As eImmovablesRentState)
            SetPropertyValue("ImmovablesRentState", _ImmovablesRentState, value)
        End Set
    End Property
End Class
